libaaruformat 1.0 Aaru Data Preservation Suite - Format Library

Loading...
Searching...
No Matches
CicmMetadataBlock Struct Reference

Header for a CICM XML metadata block (identifier == BlockType::CicmBlock). More...

`#include <aaruformat/structs/metadata.h>`

## Data Fields
uint32_t | identifier
| Block identifier, must be BlockType::CicmBlock.
uint32_t | length
| Length in bytes of the CICM metadata payload that follows.

## Detailed Description

Header for a CICM XML metadata block (identifier == BlockType::CicmBlock).

The following 'length' bytes immediately after the header contain the CICM XML payload. Encoding is typically UTF-8; the payload is not required to be null-terminated.

Definition at line 107 of file metadata.h.

## Field Documentation

## ◆ identifier

uint32_t CicmMetadataBlock::identifier

Block identifier, must be BlockType::CicmBlock.

Definition at line 109 of file metadata.h.

Referenced by aaruf_get_cicm_metadata(), process_cicm_block(), and write_cicm_block().

## ◆ length

uint32_t CicmMetadataBlock::length

Length in bytes of the CICM metadata payload that follows.

Definition at line 110 of file metadata.h.

Referenced by aaruf_get_cicm_metadata(), process_cicm_block(), and write_cicm_block().

The documentation for this struct was generated from the following file:

- include/aaruformat/structs/metadata.h